Bug 238609 - RFE: Please update iprutils to version 2.2.5
RFE: Please update iprutils to version 2.2.5
Product: Fedora
Classification: Fedora
Component: iprutils (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Depends On:
  Show dependency treegraph
Reported: 2007-05-01 15:26 EDT by Marcin Garski
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-21 03:07:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marcin Garski 2007-05-01 15:26:35 EDT
Before merge review (bug 225904), please update iprutils to version 2.2.5.

Changes from 2.1.5 to 2.2.5 release:

- Add iprha init.d script to enable/disable primary adapter mode
  for dual initiator configs.
- Add adapter config option in iprconfig for setting primary/secondary
  adapter in dual adapter environment.
- Add iprconfig option to display SAS dual pathing information.
- Increase time waiting for new devices to show up in
  iprconfig when doing concurrent add.
- Add filename date to microcode download screen. (Ryan Hong)
- Fix to prevent unnecessarily writing sysfs attributes. (Ryan Hong)
- Return standard error code according to send_dev_init() return code.
- Fix incorrect memory free in analyze log menus.
- Fix send diagnostics buffer transfer length to be only what was
  received in the receive diagnostics. Fixes disk hotplug on
  some SAS disk enclosures.
- Sourceforge patch 1627673: iprutils fix to buffer overflow
- Add checking to iprconfig command "set-qdepth" input queue
  depth value. If the given value is larger than 255, fail the command.
- Fix a bug in which the iprconfig command "raid-create"
  may create an illegal queue depth value to the ipr
  config file.
- Sourceforge patch 1627672: iprutils fix to buffer overflow
- Fix a bug in which the iprconfig command "raid-create"
  may create an illegal queue depth value to the ipr
  config file.
- Fixes for SES microcode download on SAS.
- Change to handle UA responses in the JBOD iprinit sequence.
- Fix segfault in iprconfig if /var/log does not exist.
- Allow IOA microcode download to a secondary IOA.
- Fix to prevent errors during SAS SES microcode download.
- Add a couple utility functions for SAS
- Fix SAS disk hotplug dual path bug.
- Change default QERR setting for SAS to 0.
- Fix iprconfig set-format-timeout.
- Reduce default JBOD queue depth to 3.
- Fix iprconfig -c set-bus-speed.
- Fix a race condition with hotplug events which could
  cause the ipr daemons to run before newly added devices
  are completed added to the system.
- Fix a segfault in iprdbg when using the macro function
- Fix for command line SES microcode update.
- Use IOA's default format timeout for AF DASD instead
  of using a hard coded default.
- Remove RAID support for some older drives that should never
  have been supported.
- Add support to iprinit for it to handle disks going
  from JBOD <-> AF format across an adapter reset. When this
  is detected, iprinit will now attempt to delete the disk
  and then rescan that slot.
- Fixed an ncurses screen drawing bug which resulted in the
  screen getting paged down if the cursor was on the last item
  on the screen and 't' was pressed to toggle the display.
- Added disk concurrent maintenance support for handling
  dual pathed SAS disks.
- Improve iprdbg's logging
- Print better status for devices when IOA is offline/dead.
Comment 1 Red Hat Bugzilla 2007-08-21 01:34:06 EDT
User pnasrat@redhat.com's account has been closed

Note You need to log in before you can comment on or make changes to this bug.